Subject: draft-ietf-rtgwg-segment-routing-ti-lfa Table 1 questions

From: Stewart Bryant <[email-masked]>
Date: Mon, 22 Jul 2019 16:59:47 +0100

I would like to understand what Table 1 in 
draft-ietf-rtgwg-segment-routing-ti-lfa is telling us.

It uses the terms links and circuits without distinguishing between the 
two. I could speculate that a circuit is a group of links, but then the 
ratio of nodes to circuits in T1 seems far too low at less than 1:1 in 
network T1.

Then the node to link ratio sounds quite high with fan outs of 84:1 in T2.

Please could you explain what you mean by circuits and links in this table.

What I would like to know is the average ratio of nodes to neighbours, 
and the number of parallel links per neighbour.

Best regards

Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 24 Jul 2019 12:05:49 +0000

Hi all,
I concur with Stewart.
>From my POV, it would be nice if the tables in Section 8 of draft-ietf-rtgwg-segment-routing-ti-lfa were aligned with those in Section 9 of RFC 7490,
This would facilitate meaningful comparison between the two sets of networks.

One of the differences between RFC 7490 and what the TI-LFA draft calls "repair with 1 SID" is that the former restricts computation of the PQ nodes to just one per failed link ("the Q-space of E with respect to link S-E is    used as a proxy for the Q-space of each destination" the latter leaves it "be up to each implementation to determine the good tradeoff between scaling and accuracy of the optimization". It would be nice if the authors could indicate whether per destination computation of PQ nodes has been used in the analysis each specific network or not.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

-----Original Message-----
From: rtgwg <[email-masked]> On Behalf Of Stewart Bryant
Sent: Monday, July 22, 2019 7:00 PM
To: [email-masked]; [email-masked]
Subject: draft-ietf-rtgwg-segment-routing-ti-lfa Table 1 questions

I would like to understand what Table 1 in draft-ietf-rtgwg-segment-routing-ti-lfa is telling us.

It uses the terms links and circuits without distinguishing between the two. I could speculate that a circuit is a group of links, but then the ratio of nodes to circuits in T1 seems far too low at less than 1:1 in network T1.

What I would like to know is the average ratio of nodes to neighbours, and the number of parallel links per neighbour.

Best regards

Stewart

_______________________________________________
rtgwg mailing list
[email-masked]
https://clicktime.symantec.com/3NcFJb3zFzZsCG7Sv5AxXRB6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Frtgwg

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: "Francois Clad (fclad)" <[email-masked]>
Date: Wed, 24 Jul 2019 17:22:26 +0000

Hi Stewart,

Thank you for pointing that out.

The term circuits in the third column refers to bi-directional links. For the sake of clarity, we propose to replace it with “links” and multiply all values in the third column by 2.

It also appears that a glitch occurred when the link/node ratios were reported in this table 1.

Below is the updated table.

   +-------------+------------+------------+------------+------------+
   |   Network   |    Nodes   |    Links   |Link-to-Node| SRLG info? |
   |             |            |            |    Ratio   |            |
   +-------------+------------+------------+------------+------------+
   |    T1       |    408     |     1330   |    3.26    |    Yes     |
   +-------------+------------+------------+------------+------------+
   |    T2       |    587     |     2166   |    3.69    |     No     |
   +-------------+------------+------------+------------+------------+
   |    T3       |    93      |      802   |    8.62    |    Yes     |
   +-------------+------------+------------+------------+------------+
   |    T4       |    247     |      786   |    3.18    |    Yes     |
   +-------------+------------+------------+------------+------------+
   |    T5       |    34      |      192   |    5.65    |    Yes     |
   +-------------+------------+------------+------------+------------+
   |    T6       |    50      |      156   |    3.12    |     No     |
   +-------------+------------+------------+------------+------------+
   |    T7       |    82      |      586   |    7.15    |     No     |
   +-------------+------------+------------+------------+------------+
   |    T8       |    35      |      82    |    2.34    |    Yes     |
   +-------------+------------+------------+------------+------------+
   |    T9       |    177     |     2742   |    15.49   |    Yes     |
   +-------------+------------+------------+------------+------------+

Regards,
Francois

On 22/07/2019 12:00, "Stewart Bryant" <[email-masked]> wrote:

    

    
    Best regards
    
    Stewart

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 24 Jul 2019 13:51:57 -0400

Francois/co-authors,

Thanks for addressing the comments.
Please update and publish the updated draft.

Thanks!

Cheers,
Jeff
On Jul 24, 2019, 1:22 PM -0400, Francois Clad (fclad) <[email-masked]>, wrote:
> https://www.ietf.org/mailman/listinfo/rtgwg

---

From: <[email-masked]>
Date: Sat, 27 Jul 2019 03:30:53 +0000

Hi Jeff,

We have additional updates to put in the draft.
We will publish it as soon as it is done.

Brgds,

From: Jeff Tantsura [mailto:[email-masked]]
Sent: Wednesday, July 24, 2019 13:52
To: Stewart Bryant; [email-masked]; [email-masked]; Francois Clad (fclad)
Subject: Re: draft-ietf-rtgwg-segment-routing-ti-lfa Table 1 questions

Francois/co-authors,

Thanks!

Cheers,
Jeff

Hi Stewart,

Regards,
Francois

Best regards

Stewart

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.